An utility designed to convert polychromatic images to monochromatic images, creating shades of grey through an optical illusion.
No puede seleccionar más de 25 temas Los temas deben comenzar con una letra o número, pueden incluir guiones ('-') y pueden tener hasta 35 caracteres de largo.

749 líneas
23KB

  1. # Makefile.in generated by automake 1.15 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2014 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = { \
  14. if test -z '$(MAKELEVEL)'; then \
  15. false; \
  16. elif test -n '$(MAKE_HOST)'; then \
  17. true; \
  18. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  19. true; \
  20. else \
  21. false; \
  22. fi; \
  23. }
  24. am__make_running_with_option = \
  25. case $${target_option-} in \
  26. ?) ;; \
  27. *) echo "am__make_running_with_option: internal error: invalid" \
  28. "target option '$${target_option-}' specified" >&2; \
  29. exit 1;; \
  30. esac; \
  31. has_opt=no; \
  32. sane_makeflags=$$MAKEFLAGS; \
  33. if $(am__is_gnu_make); then \
  34. sane_makeflags=$$MFLAGS; \
  35. else \
  36. case $$MAKEFLAGS in \
  37. *\\[\ \ ]*) \
  38. bs=\\; \
  39. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  40. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  41. esac; \
  42. fi; \
  43. skip_next=no; \
  44. strip_trailopt () \
  45. { \
  46. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  47. }; \
  48. for flg in $$sane_makeflags; do \
  49. test $$skip_next = yes && { skip_next=no; continue; }; \
  50. case $$flg in \
  51. *=*|--*) continue;; \
  52. -*I) strip_trailopt 'I'; skip_next=yes;; \
  53. -*I?*) strip_trailopt 'I';; \
  54. -*O) strip_trailopt 'O'; skip_next=yes;; \
  55. -*O?*) strip_trailopt 'O';; \
  56. -*l) strip_trailopt 'l'; skip_next=yes;; \
  57. -*l?*) strip_trailopt 'l';; \
  58. -[dEDm]) skip_next=yes;; \
  59. -[JT]) skip_next=yes;; \
  60. esac; \
  61. case $$flg in \
  62. *$$target_option*) has_opt=yes; break;; \
  63. esac; \
  64. done; \
  65. test $$has_opt = yes
  66. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  67. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  68. pkgdatadir = $(datadir)/@PACKAGE@
  69. pkgincludedir = $(includedir)/@PACKAGE@
  70. pkglibdir = $(libdir)/@PACKAGE@
  71. pkglibexecdir = $(libexecdir)/@PACKAGE@
  72. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  73. install_sh_DATA = $(install_sh) -c -m 644
  74. install_sh_PROGRAM = $(install_sh) -c
  75. install_sh_SCRIPT = $(install_sh) -c
  76. INSTALL_HEADER = $(INSTALL_DATA)
  77. transform = $(program_transform_name)
  78. NORMAL_INSTALL = :
  79. PRE_INSTALL = :
  80. POST_INSTALL = :
  81. NORMAL_UNINSTALL = :
  82. PRE_UNINSTALL = :
  83. POST_UNINSTALL = :
  84. subdir = .
  85. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  86. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  87. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  88. $(ACLOCAL_M4)
  89. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  90. $(am__configure_deps) $(am__DIST_COMMON)
  91. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  92. configure.lineno config.status.lineno
  93. mkinstalldirs = $(install_sh) -d
  94. CONFIG_CLEAN_FILES =
  95. CONFIG_CLEAN_VPATH_FILES =
  96. AM_V_P = $(am__v_P_@AM_V@)
  97. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  98. am__v_P_0 = false
  99. am__v_P_1 = :
  100. AM_V_GEN = $(am__v_GEN_@AM_V@)
  101. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  102. am__v_GEN_0 = @echo " GEN " $@;
  103. am__v_GEN_1 =
  104. AM_V_at = $(am__v_at_@AM_V@)
  105. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  106. am__v_at_0 = @
  107. am__v_at_1 =
  108. SOURCES =
  109. DIST_SOURCES =
  110. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  111. ctags-recursive dvi-recursive html-recursive info-recursive \
  112. install-data-recursive install-dvi-recursive \
  113. install-exec-recursive install-html-recursive \
  114. install-info-recursive install-pdf-recursive \
  115. install-ps-recursive install-recursive installcheck-recursive \
  116. installdirs-recursive pdf-recursive ps-recursive \
  117. tags-recursive uninstall-recursive
  118. am__can_run_installinfo = \
  119. case $$AM_UPDATE_INFO_DIR in \
  120. n|no|NO) false;; \
  121. *) (install-info --version) >/dev/null 2>&1;; \
  122. esac
  123. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  124. distclean-recursive maintainer-clean-recursive
  125. am__recursive_targets = \
  126. $(RECURSIVE_TARGETS) \
  127. $(RECURSIVE_CLEAN_TARGETS) \
  128. $(am__extra_recursive_targets)
  129. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  130. cscope distdir dist dist-all distcheck
  131. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  132. # Read a list of newline-separated strings from the standard input,
  133. # and print each of them once, without duplicates. Input order is
  134. # *not* preserved.
  135. am__uniquify_input = $(AWK) '\
  136. BEGIN { nonempty = 0; } \
  137. { items[$$0] = 1; nonempty = 1; } \
  138. END { if (nonempty) { for (i in items) print i; }; } \
  139. '
  140. # Make sure the list of sources is unique. This is necessary because,
  141. # e.g., the same source file might be shared among _SOURCES variables
  142. # for different programs/libraries.
  143. am__define_uniq_tagged_files = \
  144. list='$(am__tagged_files)'; \
  145. unique=`for i in $$list; do \
  146. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  147. done | $(am__uniquify_input)`
  148. ETAGS = etags
  149. CTAGS = ctags
  150. CSCOPE = cscope
  151. DIST_SUBDIRS = $(SUBDIRS)
  152. am__DIST_COMMON = $(srcdir)/Makefile.in COPYING INSTALL compile \
  153. depcomp install-sh missing
  154. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  155. distdir = $(PACKAGE)-$(VERSION)
  156. top_distdir = $(distdir)
  157. am__remove_distdir = \
  158. if test -d "$(distdir)"; then \
  159. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  160. && rm -rf "$(distdir)" \
  161. || { sleep 5 && rm -rf "$(distdir)"; }; \
  162. else :; fi
  163. am__post_remove_distdir = $(am__remove_distdir)
  164. am__relativize = \
  165. dir0=`pwd`; \
  166. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  167. sed_rest='s,^[^/]*/*,,'; \
  168. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  169. sed_butlast='s,/*[^/]*$$,,'; \
  170. while test -n "$$dir1"; do \
  171. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  172. if test "$$first" != "."; then \
  173. if test "$$first" = ".."; then \
  174. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  175. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  176. else \
  177. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  178. if test "$$first2" = "$$first"; then \
  179. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  180. else \
  181. dir2="../$$dir2"; \
  182. fi; \
  183. dir0="$$dir0"/"$$first"; \
  184. fi; \
  185. fi; \
  186. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  187. done; \
  188. reldir="$$dir2"
  189. DIST_ARCHIVES = $(distdir).tar.gz
  190. GZIP_ENV = --best
  191. DIST_TARGETS = dist-gzip
  192. distuninstallcheck_listfiles = find . -type f -print
  193. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  194. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  195. distcleancheck_listfiles = find . -type f -print
  196. ACLOCAL = @ACLOCAL@
  197. AMTAR = @AMTAR@
  198. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  199. AUTOCONF = @AUTOCONF@
  200. AUTOHEADER = @AUTOHEADER@
  201. AUTOMAKE = @AUTOMAKE@
  202. AWK = @AWK@
  203. CC = @CC@
  204. CCDEPMODE = @CCDEPMODE@
  205. CFLAGS = @CFLAGS@
  206. CPPFLAGS = @CPPFLAGS@
  207. CYGPATH_W = @CYGPATH_W@
  208. DEFS = @DEFS@
  209. DEPDIR = @DEPDIR@
  210. ECHO_C = @ECHO_C@
  211. ECHO_N = @ECHO_N@
  212. ECHO_T = @ECHO_T@
  213. EXEEXT = @EXEEXT@
  214. INSTALL = @INSTALL@
  215. INSTALL_DATA = @INSTALL_DATA@
  216. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  217. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  218. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  219. LDFLAGS = @LDFLAGS@
  220. LIBOBJS = @LIBOBJS@
  221. LIBS = @LIBS@
  222. LTLIBOBJS = @LTLIBOBJS@
  223. MAKEINFO = @MAKEINFO@
  224. MKDIR_P = @MKDIR_P@
  225. OBJEXT = @OBJEXT@
  226. PACKAGE = @PACKAGE@
  227. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  228. PACKAGE_NAME = @PACKAGE_NAME@
  229. PACKAGE_STRING = @PACKAGE_STRING@
  230. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  231. PACKAGE_URL = @PACKAGE_URL@
  232. PACKAGE_VERSION = @PACKAGE_VERSION@
  233. PATH_SEPARATOR = @PATH_SEPARATOR@
  234. PKG_CONFIG = @PKG_CONFIG@
  235. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  236. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  237. SET_MAKE = @SET_MAKE@
  238. SHELL = @SHELL@
  239. STRIP = @STRIP@
  240. VERSION = @VERSION@
  241. WAND_CFLAGS = @WAND_CFLAGS@
  242. WAND_LIBS = @WAND_LIBS@
  243. abs_builddir = @abs_builddir@
  244. abs_srcdir = @abs_srcdir@
  245. abs_top_builddir = @abs_top_builddir@
  246. abs_top_srcdir = @abs_top_srcdir@
  247. ac_ct_CC = @ac_ct_CC@
  248. am__include = @am__include@
  249. am__leading_dot = @am__leading_dot@
  250. am__quote = @am__quote@
  251. am__tar = @am__tar@
  252. am__untar = @am__untar@
  253. bindir = @bindir@
  254. build_alias = @build_alias@
  255. builddir = @builddir@
  256. datadir = @datadir@
  257. datarootdir = @datarootdir@
  258. docdir = @docdir@
  259. dvidir = @dvidir@
  260. exec_prefix = @exec_prefix@
  261. host_alias = @host_alias@
  262. htmldir = @htmldir@
  263. includedir = @includedir@
  264. infodir = @infodir@
  265. install_sh = @install_sh@
  266. libdir = @libdir@
  267. libexecdir = @libexecdir@
  268. localedir = @localedir@
  269. localstatedir = @localstatedir@
  270. mandir = @mandir@
  271. mkdir_p = @mkdir_p@
  272. oldincludedir = @oldincludedir@
  273. pdfdir = @pdfdir@
  274. prefix = @prefix@
  275. program_transform_name = @program_transform_name@
  276. psdir = @psdir@
  277. sbindir = @sbindir@
  278. sharedstatedir = @sharedstatedir@
  279. srcdir = @srcdir@
  280. sysconfdir = @sysconfdir@
  281. target_alias = @target_alias@
  282. top_build_prefix = @top_build_prefix@
  283. top_builddir = @top_builddir@
  284. top_srcdir = @top_srcdir@
  285. AUTOMAKE_OPTIONS = foreign
  286. SUBDIRS = src man
  287. all: all-recursive
  288. .SUFFIXES:
  289. am--refresh: Makefile
  290. @:
  291. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  292. @for dep in $?; do \
  293. case '$(am__configure_deps)' in \
  294. *$$dep*) \
  295. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  296. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  297. && exit 0; \
  298. exit 1;; \
  299. esac; \
  300. done; \
  301. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  302. $(am__cd) $(top_srcdir) && \
  303. $(AUTOMAKE) --foreign Makefile
  304. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  305. @case '$?' in \
  306. *config.status*) \
  307. echo ' $(SHELL) ./config.status'; \
  308. $(SHELL) ./config.status;; \
  309. *) \
  310. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  311. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  312. esac;
  313. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  314. $(SHELL) ./config.status --recheck
  315. $(top_srcdir)/configure: $(am__configure_deps)
  316. $(am__cd) $(srcdir) && $(AUTOCONF)
  317. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  318. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  319. $(am__aclocal_m4_deps):
  320. # This directory's subdirectories are mostly independent; you can cd
  321. # into them and run 'make' without going through this Makefile.
  322. # To change the values of 'make' variables: instead of editing Makefiles,
  323. # (1) if the variable is set in 'config.status', edit 'config.status'
  324. # (which will cause the Makefiles to be regenerated when you run 'make');
  325. # (2) otherwise, pass the desired values on the 'make' command line.
  326. $(am__recursive_targets):
  327. @fail=; \
  328. if $(am__make_keepgoing); then \
  329. failcom='fail=yes'; \
  330. else \
  331. failcom='exit 1'; \
  332. fi; \
  333. dot_seen=no; \
  334. target=`echo $@ | sed s/-recursive//`; \
  335. case "$@" in \
  336. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  337. *) list='$(SUBDIRS)' ;; \
  338. esac; \
  339. for subdir in $$list; do \
  340. echo "Making $$target in $$subdir"; \
  341. if test "$$subdir" = "."; then \
  342. dot_seen=yes; \
  343. local_target="$$target-am"; \
  344. else \
  345. local_target="$$target"; \
  346. fi; \
  347. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  348. || eval $$failcom; \
  349. done; \
  350. if test "$$dot_seen" = "no"; then \
  351. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  352. fi; test -z "$$fail"
  353. ID: $(am__tagged_files)
  354. $(am__define_uniq_tagged_files); mkid -fID $$unique
  355. tags: tags-recursive
  356. TAGS: tags
  357. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  358. set x; \
  359. here=`pwd`; \
  360. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  361. include_option=--etags-include; \
  362. empty_fix=.; \
  363. else \
  364. include_option=--include; \
  365. empty_fix=; \
  366. fi; \
  367. list='$(SUBDIRS)'; for subdir in $$list; do \
  368. if test "$$subdir" = .; then :; else \
  369. test ! -f $$subdir/TAGS || \
  370. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  371. fi; \
  372. done; \
  373. $(am__define_uniq_tagged_files); \
  374. shift; \
  375. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  376. test -n "$$unique" || unique=$$empty_fix; \
  377. if test $$# -gt 0; then \
  378. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  379. "$$@" $$unique; \
  380. else \
  381. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  382. $$unique; \
  383. fi; \
  384. fi
  385. ctags: ctags-recursive
  386. CTAGS: ctags
  387. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  388. $(am__define_uniq_tagged_files); \
  389. test -z "$(CTAGS_ARGS)$$unique" \
  390. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  391. $$unique
  392. GTAGS:
  393. here=`$(am__cd) $(top_builddir) && pwd` \
  394. && $(am__cd) $(top_srcdir) \
  395. && gtags -i $(GTAGS_ARGS) "$$here"
  396. cscope: cscope.files
  397. test ! -s cscope.files \
  398. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  399. clean-cscope:
  400. -rm -f cscope.files
  401. cscope.files: clean-cscope cscopelist
  402. cscopelist: cscopelist-recursive
  403. cscopelist-am: $(am__tagged_files)
  404. list='$(am__tagged_files)'; \
  405. case "$(srcdir)" in \
  406. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  407. *) sdir=$(subdir)/$(srcdir) ;; \
  408. esac; \
  409. for i in $$list; do \
  410. if test -f "$$i"; then \
  411. echo "$(subdir)/$$i"; \
  412. else \
  413. echo "$$sdir/$$i"; \
  414. fi; \
  415. done >> $(top_builddir)/cscope.files
  416. distclean-tags:
  417. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  418. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  419. distdir: $(DISTFILES)
  420. $(am__remove_distdir)
  421. test -d "$(distdir)" || mkdir "$(distdir)"
  422. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  423. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  424. list='$(DISTFILES)'; \
  425. dist_files=`for file in $$list; do echo $$file; done | \
  426. sed -e "s|^$$srcdirstrip/||;t" \
  427. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  428. case $$dist_files in \
  429. */*) $(MKDIR_P) `echo "$$dist_files" | \
  430. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  431. sort -u` ;; \
  432. esac; \
  433. for file in $$dist_files; do \
  434. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  435. if test -d $$d/$$file; then \
  436. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  437. if test -d "$(distdir)/$$file"; then \
  438. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  439. fi; \
  440. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  441. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  442. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  443. fi; \
  444. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  445. else \
  446. test -f "$(distdir)/$$file" \
  447. || cp -p $$d/$$file "$(distdir)/$$file" \
  448. || exit 1; \
  449. fi; \
  450. done
  451. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  452. if test "$$subdir" = .; then :; else \
  453. $(am__make_dryrun) \
  454. || test -d "$(distdir)/$$subdir" \
  455. || $(MKDIR_P) "$(distdir)/$$subdir" \
  456. || exit 1; \
  457. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  458. $(am__relativize); \
  459. new_distdir=$$reldir; \
  460. dir1=$$subdir; dir2="$(top_distdir)"; \
  461. $(am__relativize); \
  462. new_top_distdir=$$reldir; \
  463. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  464. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  465. ($(am__cd) $$subdir && \
  466. $(MAKE) $(AM_MAKEFLAGS) \
  467. top_distdir="$$new_top_distdir" \
  468. distdir="$$new_distdir" \
  469. am__remove_distdir=: \
  470. am__skip_length_check=: \
  471. am__skip_mode_fix=: \
  472. distdir) \
  473. || exit 1; \
  474. fi; \
  475. done
  476. -test -n "$(am__skip_mode_fix)" \
  477. || find "$(distdir)" -type d ! -perm -755 \
  478. -exec chmod u+rwx,go+rx {} \; -o \
  479. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  480. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  481. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  482. || chmod -R a+r "$(distdir)"
  483. dist-gzip: distdir
  484. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  485. $(am__post_remove_distdir)
  486. dist-bzip2: distdir
  487. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  488. $(am__post_remove_distdir)
  489. dist-lzip: distdir
  490. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  491. $(am__post_remove_distdir)
  492. dist-xz: distdir
  493. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  494. $(am__post_remove_distdir)
  495. dist-tarZ: distdir
  496. @echo WARNING: "Support for distribution archives compressed with" \
  497. "legacy program 'compress' is deprecated." >&2
  498. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  499. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  500. $(am__post_remove_distdir)
  501. dist-shar: distdir
  502. @echo WARNING: "Support for shar distribution archives is" \
  503. "deprecated." >&2
  504. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  505. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  506. $(am__post_remove_distdir)
  507. dist-zip: distdir
  508. -rm -f $(distdir).zip
  509. zip -rq $(distdir).zip $(distdir)
  510. $(am__post_remove_distdir)
  511. dist dist-all:
  512. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  513. $(am__post_remove_distdir)
  514. # This target untars the dist file and tries a VPATH configuration. Then
  515. # it guarantees that the distribution is self-contained by making another
  516. # tarfile.
  517. distcheck: dist
  518. case '$(DIST_ARCHIVES)' in \
  519. *.tar.gz*) \
  520. GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  521. *.tar.bz2*) \
  522. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  523. *.tar.lz*) \
  524. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  525. *.tar.xz*) \
  526. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  527. *.tar.Z*) \
  528. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  529. *.shar.gz*) \
  530. GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  531. *.zip*) \
  532. unzip $(distdir).zip ;;\
  533. esac
  534. chmod -R a-w $(distdir)
  535. chmod u+w $(distdir)
  536. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  537. chmod a-w $(distdir)
  538. test -d $(distdir)/_build || exit 0; \
  539. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  540. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  541. && am__cwd=`pwd` \
  542. && $(am__cd) $(distdir)/_build/sub \
  543. && ../../configure \
  544. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  545. $(DISTCHECK_CONFIGURE_FLAGS) \
  546. --srcdir=../.. --prefix="$$dc_install_base" \
  547. && $(MAKE) $(AM_MAKEFLAGS) \
  548. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  549. && $(MAKE) $(AM_MAKEFLAGS) check \
  550. && $(MAKE) $(AM_MAKEFLAGS) install \
  551. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  552. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  553. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  554. distuninstallcheck \
  555. && chmod -R a-w "$$dc_install_base" \
  556. && ({ \
  557. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  558. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  559. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  560. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  561. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  562. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  563. && rm -rf "$$dc_destdir" \
  564. && $(MAKE) $(AM_MAKEFLAGS) dist \
  565. && rm -rf $(DIST_ARCHIVES) \
  566. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  567. && cd "$$am__cwd" \
  568. || exit 1
  569. $(am__post_remove_distdir)
  570. @(echo "$(distdir) archives ready for distribution: "; \
  571. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  572. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  573. distuninstallcheck:
  574. @test -n '$(distuninstallcheck_dir)' || { \
  575. echo 'ERROR: trying to run $@ with an empty' \
  576. '$$(distuninstallcheck_dir)' >&2; \
  577. exit 1; \
  578. }; \
  579. $(am__cd) '$(distuninstallcheck_dir)' || { \
  580. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  581. exit 1; \
  582. }; \
  583. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  584. || { echo "ERROR: files left after uninstall:" ; \
  585. if test -n "$(DESTDIR)"; then \
  586. echo " (check DESTDIR support)"; \
  587. fi ; \
  588. $(distuninstallcheck_listfiles) ; \
  589. exit 1; } >&2
  590. distcleancheck: distclean
  591. @if test '$(srcdir)' = . ; then \
  592. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  593. exit 1 ; \
  594. fi
  595. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  596. || { echo "ERROR: files left in build directory after distclean:" ; \
  597. $(distcleancheck_listfiles) ; \
  598. exit 1; } >&2
  599. check-am: all-am
  600. check: check-recursive
  601. all-am: Makefile
  602. installdirs: installdirs-recursive
  603. installdirs-am:
  604. install: install-recursive
  605. install-exec: install-exec-recursive
  606. install-data: install-data-recursive
  607. uninstall: uninstall-recursive
  608. install-am: all-am
  609. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  610. installcheck: installcheck-recursive
  611. install-strip:
  612. if test -z '$(STRIP)'; then \
  613. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  614. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  615. install; \
  616. else \
  617. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  618. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  619. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  620. fi
  621. mostlyclean-generic:
  622. clean-generic:
  623. distclean-generic:
  624. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  625. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  626. maintainer-clean-generic:
  627. @echo "This command is intended for maintainers to use"
  628. @echo "it deletes files that may require special tools to rebuild."
  629. clean: clean-recursive
  630. clean-am: clean-generic mostlyclean-am
  631. distclean: distclean-recursive
  632. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  633. -rm -f Makefile
  634. distclean-am: clean-am distclean-generic distclean-tags
  635. dvi: dvi-recursive
  636. dvi-am:
  637. html: html-recursive
  638. html-am:
  639. info: info-recursive
  640. info-am:
  641. install-data-am:
  642. install-dvi: install-dvi-recursive
  643. install-dvi-am:
  644. install-exec-am:
  645. install-html: install-html-recursive
  646. install-html-am:
  647. install-info: install-info-recursive
  648. install-info-am:
  649. install-man:
  650. install-pdf: install-pdf-recursive
  651. install-pdf-am:
  652. install-ps: install-ps-recursive
  653. install-ps-am:
  654. installcheck-am:
  655. maintainer-clean: maintainer-clean-recursive
  656. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  657. -rm -rf $(top_srcdir)/autom4te.cache
  658. -rm -f Makefile
  659. maintainer-clean-am: distclean-am maintainer-clean-generic
  660. mostlyclean: mostlyclean-recursive
  661. mostlyclean-am: mostlyclean-generic
  662. pdf: pdf-recursive
  663. pdf-am:
  664. ps: ps-recursive
  665. ps-am:
  666. uninstall-am:
  667. .MAKE: $(am__recursive_targets) install-am install-strip
  668. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  669. am--refresh check check-am clean clean-cscope clean-generic \
  670. cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  671. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  672. distcheck distclean distclean-generic distclean-tags \
  673. distcleancheck distdir distuninstallcheck dvi dvi-am html \
  674. html-am info info-am install install-am install-data \
  675. install-data-am install-dvi install-dvi-am install-exec \
  676. install-exec-am install-html install-html-am install-info \
  677. install-info-am install-man install-pdf install-pdf-am \
  678. install-ps install-ps-am install-strip installcheck \
  679. installcheck-am installdirs installdirs-am maintainer-clean \
  680. maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  681. pdf-am ps ps-am tags tags-am uninstall uninstall-am
  682. .PRECIOUS: Makefile
  683. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  684. # Otherwise a system limit (for SysV at least) may be exceeded.
  685. .NOEXPORT: